/*---------------------------------------------------------------*/
var debug  = 1;

var blocimagesup="images/blocbleu.gif";
var blocimageinf="images/blocrouge.gif";

var vente=tableVentes();

var ID;

/* creation de la table */
function creerTableVentes(graphique){
	var afficher="";
	afficher+='<table border="0" cellspacing="0" cellpadding="0">';
	for (i=0;i<graphique.length;i++){
		afficher+='<tr><td>'+graphique[i][0] +'&nbsp;</td>';
		if (graphique[i][1]>moyenne){
			afficher+='<td><img src="'+blocimagesup+'" ';
			afficher+='name="'+ graphique[i][0] +'" ';
		}
		else{
			afficher+='<td><img src="'+blocimageinf+'" ';
			afficher+='name="'+ graphique[i][0] +'" ';
		}
		afficher+='width="1" height="30"> ';
	      afficher+=graphique[i][3]+'%</td></tr>';
	}
	afficher+='</table>'
	document.getElementById("afficheVente").innerHTML=afficher;
}//creerTableVentes


/*---------------------------------------------------------------*/
/* On regroupe les calculs ici */
function calculpourcentage(tableauVentes,longueurgraphique){

	total=0;
	for (i=0;i<tableauVentes.length;i++){
		total+=parseInt(tableauVentes[i][1]);
	}

	moyenne=total/tableauVentes.length;
	for (i=0;i<tableauVentes.length;i++){
		pourcentage=Math.round(tableauVentes[i][1]*100/total);
		tableauVentes[i][3] = pourcentage;
		largeur=Math.round(longueurgraphique*(pourcentage/100));
		tableauVentes[i][2] = largeur;
		if (debug){
			debug+="largeur = " + largeur +"\n";
		}	
	}

}

/*---------------------------------------------------------------*/
function progress(graphique) {
	var compteur=0;
	for (i=0;i<graphique.length;i++){
  		if (document.images[graphique[i][0]].width < graphique[i][2]) {
    			document.images[graphique[i][0]].width += 5;
  		} else {
    			compteur+=1
  		}
	}
	if (compteur==graphique.length)
		clearInterval(ID);
}

/*---------------------------------------------------------------*/


function animVente(){	
	calculpourcentage(vente,2000);
	creerTableVentes(vente);
  	ID = setInterval("progress(vente);", 50);
}

